include <../variables.scad>

module quadpipe(length){

    difference(){
        cube([quadpipe_side, length, quadpipe_side]);

        translate([quadpipe_thickness, 0, quadpipe_thickness]){
            cube([quadpipe_inner, length, quadpipe_inner]);
        }
    }
}

module quadpipe_rail(length){

    difference(){

        quadpipe(length);
        translate([0, 0, quadpipe_side / 2 - hinge_rail_depth / 2]){
            cube([quadpipe_thickness, length, hinge_rail_depth]);
        }
    }
}


// Place demo instances

quadpipe(core_width);

translate([quadpipe_side * 3, 0, 0]){
    quadpipe_rail(core_width);
}
